summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <monty@mysql.com>2004-05-25 22:00:14 +0300
committerunknown <monty@mysql.com>2004-05-25 22:00:14 +0300
commita37fc4bbd81f4c6148d3d71e3d24c2ba283f06df (patch)
tree2c56473da947b9807f0d1668171870a8e3dbc736 /scripts
parent2522b8b0d2100925e073b07ea8d3a9d5b2d185bc (diff)
downloadmariadb-git-a37fc4bbd81f4c6148d3d71e3d24c2ba283f06df.tar.gz
Added patches from Novell
Build-tools/Do-compile: Fixed indentation configure.in: Added patches from Novell Added C_EXTRA_FLAGS as an easy way to pass flags to both CFLAGS and CXXFLAGS extra/perror.c: Fixed error number reporting to not report 'Unknown error' include/my_global.h: Defines to make NETWARE patches cleaner include/thr_alarm.h: Fixed wrong macro netware/mysql_install_db.c: Indentation fix
Diffstat (limited to 'scripts')
-rw-r--r--scripts/make_binary_distribution.sh77
-rw-r--r--scripts/mysqlhotcopy.sh20
2 files changed, 71 insertions, 26 deletions
diff --git a/scripts/make_binary_distribution.sh b/scripts/make_binary_distribution.sh
index c7945e31eda..240efbfad75 100644
--- a/scripts/make_binary_distribution.sh
+++ b/scripts/make_binary_distribution.sh
@@ -85,8 +85,8 @@ do
fi
done
-for i in COPYING README Docs/INSTALL-BINARY \
- MySQLEULA.txt LICENSE.doc README.NW
+for i in COPYING COPYING.LIB README Docs/INSTALL-BINARY \
+ MySQLEULA.txt LICENSE.doc README.NW
do
if [ -f $i ]
then
@@ -151,6 +151,7 @@ done
if [ $BASE_SYSTEM = "netware" ] ; then
$CP -r netware/*.pl $BASE/scripts
+ $CP scripts/mysqlhotcopy $BASE/scripts/mysqlhotcopy.pl
fi
for i in \
@@ -167,7 +168,7 @@ do
fi
done
-# convert the libs to .lib for NetWare
+# convert the .a to .lib for NetWare
if [ $BASE_SYSTEM = "netware" ] ; then
for i in $BASE/lib/*.a
do
@@ -233,6 +234,16 @@ fi
rm -f $BASE/bin/Makefile* $BASE/bin/*.in $BASE/bin/*.sh $BASE/bin/mysql_install_db $BASE/bin/make_binary_distribution $BASE/bin/setsomevars $BASE/support-files/Makefile* $BASE/support-files/*.sh
+
+#
+# Remove system dependent files
+#
+if [ $BASE_SYSTEM = "netware" ] ; then
+ rm -f $BASE/MySQLEULA.txt
+else
+ rm -f $BASE/README.NW
+fi
+
# Make safe_mysqld a symlink to mysqld_safe for backwards portability
# To be removed in MySQL 4.1
(cd $BASE/bin ; ln -s mysqld_safe safe_mysqld )
@@ -294,29 +305,47 @@ which_1 ()
exit 1
}
-#
-# Create the result tar file
-#
+if [ $BASE_SYSTEM != "netware" ] ; then
-tar=`which_1 gnutar gtar`
-if test "$?" = "1" -o "$tar" = ""
-then
- tar=tar
-fi
+ #
+ # Create the result tar file
+ #
+
+ tar=`which_1 gnutar gtar`
+ if test "$?" = "1" -o "$tar" = ""
+ then
+ tar=tar
+ fi
+
+ echo "Using $tar to create archive"
+ cd $TMP
+
+ OPT=cvf
+ if [ x$SILENT = x1 ] ; then
+ OPT=cf
+ fi
+
+ $tar $OPT $SOURCE/$NEW_NAME.tar $NEW_NAME
+ cd $SOURCE
+ echo "Compressing archive"
+ rm -f $NEW_NAME.tar.gz
+ gzip -9 $NEW_NAME.tar
+ echo "Removing temporary directory"
+ rm -r -f $BASE
+
+ echo "$NEW_NAME.tar.gz created"
+else
-echo "Using $tar to create archive"
-cd $TMP
+ #
+ # Create a zip file for NetWare users
+ #
-OPT=cvf
-if [ x$SILENT = x1 ] ; then
- OPT=cf
-fi
+ cd $TMP
+ if test -e "$SOURCE/$NEW_NAME.zip"; then rm $SOURCE/$NEW_NAME.zip; fi
+ zip -r $SOURCE/$NEW_NAME.zip $NEW_NAME
+ echo "Removing temporary directory"
+ rm -r -f $BASE
-$tar $OPT $SOURCE/$NEW_NAME.tar $NEW_NAME
-cd $SOURCE
-echo "Compressing archive"
-gzip -9 $NEW_NAME.tar
-echo "Removing temporary directory"
-rm -r -f $BASE
+ echo "$NEW_NAME.zip created"
-echo "$NEW_NAME.tar.gz created"
+fi
diff --git a/scripts/mysqlhotcopy.sh b/scripts/mysqlhotcopy.sh
index ab06215c3ac..6388855eaa6 100644
--- a/scripts/mysqlhotcopy.sh
+++ b/scripts/mysqlhotcopy.sh
@@ -7,6 +7,7 @@ use File::Basename;
use File::Path;
use DBI;
use Sys::Hostname;
+use File::Copy;
=head1 NAME
@@ -230,6 +231,10 @@ elsif (defined($tgt_name) && ($tgt_name =~ m:/: || $tgt_name eq '.')) {
elsif ( $opt{suffix} ) {
print "Using copy suffix '$opt{suffix}'\n" unless $opt{quiet};
}
+elsif ( ($^O =~ m/^(NetWare)$/) && defined($tgt_name) && ($tgt_name =~ m:\\: || $tgt_name eq '.'))
+{
+ $tgt_dirname = $tgt_name;
+}
else
{
$tgt_name="" if (!defined($tgt_name));
@@ -421,8 +426,11 @@ foreach my $rdb ( @db_desc ) {
else {
mkdir($tgt_dirpath, 0750) or die "Can't create '$tgt_dirpath': $!\n"
unless -d $tgt_dirpath;
+ if ($^O !~ m/^(NetWare)$/)
+ {
my @f_info= stat "$datadir/$rdb->{src}";
chown $f_info[4], $f_info[5], $tgt_dirpath;
+ }
}
}
}
@@ -578,7 +586,15 @@ sub copy_files {
my @cmd;
print "Copying ".@$files." files...\n" unless $opt{quiet};
- if ($method =~ /^s?cp\b/) { # cp or scp with optional flags
+ if ($^O =~ m/^(NetWare)$/) # on NetWare call PERL copy (slower)
+ {
+ foreach my $file ( @$files )
+ {
+ copy($file, $target."/".basename($file));
+ }
+ }
+ elsif ($method =~ /^s?cp\b/) # cp or scp with optional flags
+ {
my $cp = $method;
# add option to preserve mod time etc of copied files
# not critical, but nice to have
@@ -717,7 +733,7 @@ sub retire_directory {
if ( -d $tgt_oldpath ) {
print "Deleting previous 'old' hotcopy directory ('$tgt_oldpath')\n" unless $opt{quiet};
- rmtree([$tgt_oldpath])
+ rmtree([$tgt_oldpath],0,1);
}
rename($dir, $tgt_oldpath)
or die "Can't rename $dir=>$tgt_oldpath: $!\n";